ranges::adaptor_cursor< BaseIter, Adapt > Struct Template Reference
Views
Inheritance diagram for ranges::adaptor_cursor< BaseIter, Adapt >:

## Public Member Functions

template<typename OtherIter , typename OtherAdapt >
CPP_TEMPLATE_AUX_0 | a (requires `(!same_as< adaptor_cursor< OtherIter, OtherAdapt >, adaptor_cursor >) &&convertible_to< OtherIter, BaseIter > &&convertible_to< OtherAdapt, Adapt >) aaadaptor_cursor(adaptor_cursor< OtherIter
| adaptor_cursor (BaseIter iter, Adapt adapt)
CPP_TEMPLATE_AUX_0 OtherAdapt | std::move (that.data_.second())}}

## Public Attributes

CPP_TEMPLATE_AUX_0 OtherAdapt | that: base_t{{std::move(that.data_.first())